Package Details: maelstrom 3.0.6-6

Git Clone URL: https://aur.archlinux.org/maelstrom.git (read-only, click to copy)
Package Base: maelstrom
Description: Asteroids-type game with sound and 3D objects
Upstream URL: http://www.libsdl.org/projects/Maelstrom/
Licenses: GPL
Submitter: Allan
Maintainer: TheGoliath
Last Packager: TheGoliath
Votes: 11
Popularity: 0.37
First Submitted: 2008-12-28 12:27
Last Updated: 2020-05-12 13:14

Latest Comments

CompoundFraxure commented on 2020-05-12 20:55

That seemed to do it! Thanks!

TheGoliath commented on 2020-05-12 13:15

Updated the package. Should work now

thaewrapt commented on 2020-05-11 11:38

Thanks for the kind words but I think it’s chipschap who actually authored the fix.

As for a recent problem with the installation: make PREFIX=/usr install should become make prefix=/usr install (lowercase instead of uppercase), you can check the source’s Makefile.in for more details.

TheGoliath commented on 2020-05-11 07:26

Thank you for pointing out the issue. Gonna flag the package out of date and I'll take care of it

CompoundFraxure commented on 2020-05-11 07:13

Building with makepkg fails in package(). Apparently it can't get root permissions to install system-wide:

  /usr/bin/install -c  Maelstrom /usr/bin/Maelstrom
/usr/bin/install: cannot create regular file '/usr/bin/Maelstrom': Permission denied
  /usr/bin/install -c  Maelstrom-netd /usr/bin/Maelstrom-netd
/usr/bin/install: cannot create regular file '/usr/bin/Maelstrom-netd': Permission denied
make[2]: *** [Makefile:164: install-binPROGRAMS] Error 1

TheGoliath commented on 2020-05-10 18:46

Big thanks to thaewrapt for providing the patch! If anything still isn't working, feel free to comment down below

thaewrapt commented on 2020-04-15 18:02

Thanks, I'm considering this as an option.

fuan_k commented on 2020-04-15 14:28

@thaewrapt feel free to adopt the package and update the PKGBUILD. :)

thaewrapt commented on 2020-04-15 12:31

https://github.com/thaewrapt/maelstrom/ - here is the updated package.

chipschap commented on 2018-06-24 18:35

No longer builds, probably due to changes to gcc. Errors are limited to buttonlist.h where on lines 18 and 32

struct button *belem;

needs to be

button *belem;

and on line 44 change

struct button belem, btemp;

to

button belem, btemp;

(hmmm the asterisks get interpreted as italics)

When fixed the package builds correctly.